Summary: A 3D tabletennis game.
Name: csmash
Version: 0.6.3
Release: fr1
License: GPL
Group: Amusements/Games
Source: http://prdownloads.SourceForge.net/CannonSmash/csmash-%{version}.tar.bz2
URL: http://cannonsmash.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: Mesa, SDL >= 1.1.7, SDL_mixer
BuildRequires: Mesa-devel, SDL-devel, SDL_mixer-devel

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to 
represent various strategy of tabletennis on computer game. 
This program requires OpenGL and SDL. If your machine doesn't have 3D
accelaration video card, this program runs very slowly.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

# Create the system menu entry
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games/
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=CannonSmash
Comment=%{summary}
Exec=%{name}
Icon=
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING CREDITS ChangeLog README README.en
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Sat Feb  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

